Debian Bug report logs - #234346
RM: affix-kernel -- RoQA; broken for 2.6 kernels

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: niko@sdf.lonestar.org

Date: Mon, 23 Feb 2004 10:33:03 UTC

Severity: wishlist

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#234346; Package affix-source. Full text and rfc822 format available.

Acknowledgement sent to niko@sdf.lonestar.org:
New Bug report received and forwarded. Copy sent to Mario Joussen <joussen@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: niko@sdf.lonestar.org
To: submit@bugs.debian.org
Subject: Problem compiling affix-source for 2.6.x kernels
Date: Mon, 23 Feb 2004 12:03:53 +0200
Package: affix-source
Version: 2.1.1-1


Package does not compile for 2.6.x kernels.

niko@niko:kernel-source-2.6.2$ LANG=C fakeroot make-kpkg --added-modules
affix modules
for module in /usr/src/modules/affix ; do                        \
          if test -d  $module; then                                \
    (cd $module;                                           \
              if ./debian/rules KVERS="2.6.2"
KSRC="/usr/src/kernel-source-2.6.2" \
                             KMAINT="Unknown Kernel Package Maintainer"
KEMAIL="unknown@unconfigured.in.etc.kernel-pkg.conf"      \
                             KPKG_DEST_DIR="/usr/src/kernel-source-2.6.2/.."
\
                             KPKG_MAINTAINER="Unknown Kernel Package
Maintainer"        \
                             ARCH=i386                    \
                             KDREV="10.00.Custom" kdist; then          \
                  echo "Module $module processed fine";            \
              else                                                  \
                   echo "Module $module failed.";                  \
                   echo "Hit return to Continue?";                  \
           read ans;                                        \
              fi;                                                   \
     );                                                     \
  fi;                                                       \
        done
make[1]: Entering directory `/usr/src/modules/affix'
dh_testdir
/usr/bin/make -C include all
make[2]: Entering directory `/usr/src/modules/affix/include'
make[2]: Leaving directory `/usr/src/modules/affix/include'
/usr/bin/make all
make[2]: Entering directory `/usr/src/modules/affix'
Checking kernel checksum ...
make[3]: Entering directory `/usr/src/modules/affix'
Compiling driver and control programs
make[4]: Entering directory `/usr/src/modules/affix/btcore'
make[4]: *** No rule to make target `affix.ko', needed by `all'.  Stop.
make[4]: Leaving directory `/usr/src/modules/affix/btcore'
make[3]: *** [build] Error 2
make[3]: Leaving directory `/usr/src/modules/affix'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/usr/src/modules/affix'
make[1]: *** [build-stamp] Error 2
make[1]: Leaving directory `/usr/src/modules/affix'
Module /usr/src/modules/affix failed.


Regards,

Andrei



Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#234346; Package affix-source. Full text and rfc822 format available.

Acknowledgement sent to Miernik <miernik@ffii.org>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. Full text and rfc822 format available.

Message #10 received at 234346@bugs.debian.org (full text, mbox):

From: Miernik <miernik@ffii.org>
To: 234346@bugs.debian.org
Subject: for 2.6 kernel you need affix 3.0
Date: Sun, 29 May 2005 23:03:12 +0200
http://affix.sourceforge.net/affix-faq.shtml#_1

Affix version 3.0 and later are ment to be used with Linux kernel 2.6.
Earlier Affix versions are compatible with 2.4 kernels.



Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#234346; Package affix-source. Full text and rfc822 format available.

Acknowledgement sent to Andrei Emeltchenko <andrei.emeltchenko@kolumbus.fi>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. Full text and rfc822 format available.

Message #15 received at 234346@bugs.debian.org (full text, mbox):

From: Andrei Emeltchenko <andrei.emeltchenko@kolumbus.fi>
To: Debian Bug Tracking System <234346@bugs.debian.org>
Subject: affix-source: when affix for new 2.6.x kernel will be available in Debian? anybody still use 2.4 ?(in unstable? )
Date: Tue, 21 Jun 2005 18:46:26 +0300
Package: affix-source
Version: 2.1.1-1.1
Followup-For: Bug #234346


When affix for 2.6 will be available in Debian?


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11
Locale: LANG=ru_RU.KOI8-R, LC_CTYPE=ru_RU.KOI8-R (charmap=KOI8-R)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#234346; Package affix-source. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. Full text and rfc822 format available.

Message #20 received at 234346@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: 234346@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Etch will be 2.6-only
Date: Fri, 8 Sep 2006 00:02:42 +0200
severity grave
thanks

Etch will only ship 2.6 kernels, so this renders the package unusable.

Cheers,
        Moritz



Severity set to `grave' from `normal' Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#234346; Package affix-source. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #27 received at 234346@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 234346@bugs.debian.org
Date: Sun, 8 Oct 2006 12:55:37 +0200
[Message part 1 (text/plain, inline)]
retitle 234346 please remove affix-source, which has been obsoleted
reassign 234346 ftp.debian.org
severity 234346 wishlist
thanks

The maintainer does not have time to work on this. A new upstream
version fixing this problem is available (and has been since 2004),
but I refuse to update the package since I don't want to be upstream
for the package.

Therefore I suggest removing the package from Debian. If someone
actually cares, let them upload the new upstream version and start
anew.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `affix-source' to `ftp.debian.org'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist' from `grave' Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#234346; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #40 received at 234346@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Mario Joußen <mario@joussen.org>
Cc: 234346@bugs.debian.org
Subject: Re: Bug#234346: (no subject)
Date: Mon, 9 Oct 2006 12:04:49 +0200
[Message part 1 (text/plain, inline)]
also sprach Mario Joußen <mario@joussen.org> [2006.10.09.1201 +0200]:
> does it perhaps make more sense to orphan the package instead of
> removing it?

Not really. I is 2.4 only and there will be no 2.4 kernels in etch.
So no point in orphaning it.

> Do you think, that upstream is dead? Or what do you mean with "I don't
> want to be upstream for the package"?

No, upstream is alive and well. I meant to say that I don't want to
maintain the package. Upstream has released version 3.2 two years
ago. If you update the package to this version, it can stay in etch.

Cheers,

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
 
"it is easier to be a lover than a husband for the simple reason
 that it is more difficult to be witty every day
 than to say pretty things from time to time."
                                                   -- honoré de balzac
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#234346; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #45 received at 234346@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: martin f krafft <madduck@debian.org>, 234346@bugs.debian.org
Cc: Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: your mail
Date: Tue, 17 Oct 2006 20:07:17 +0200
reassign 234346 affix-source
severity 234346 serious
thanks

On Sun, Oct 08, 2006 at 12:55:37PM +0200, martin f krafft wrote:
> retitle 234346 please remove affix-source, which has been obsoleted
> reassign 234346 ftp.debian.org
> severity 234346 wishlist
> thanks
> 
> The maintainer does not have time to work on this. A new upstream
> version fixing this problem is available (and has been since 2004),
> but I refuse to update the package since I don't want to be upstream
> for the package.
> 
> Therefore I suggest removing the package from Debian. If someone
> actually cares, let them upload the new upstream version and start
> anew.

Please suggest that to the maintainer first then, for example by this
bug, and let the maintainer reassign to ftp.d.o if he agrees. Suggesting
!= immediately also requesting its removal of the ftp-team.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Bug reassigned from package `ftp.debian.org' to `affix-source'. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `wishlist' Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist' from `serious' Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `affix-source' to `ftp.debian.org'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#234346; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #58 received at 234346-quiet@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 234346-quiet@bugs.debian.org
Cc: bts control <control@bugs.debian.org>
Subject: Fwd: Re: Bug#234346: (no subject)
Date: Tue, 17 Oct 2006 22:00:24 +0200
[Message part 1 (text/plain, inline)]
severity 234346 wishlist
reassign 234346 ftp.debian.org
thanks

The maintainer had agreed:

----- Forwarded message from Mario Joußen <mario@joussen.org> -----

Okay.

martin f krafft wrote:
> also sprach Mario Joußen <mario@joussen.org> [2006.10.09.1213 +0200]:
>> Yes, but there seems to be a problem with newer 2.6 kernels and the
>> affix mailing became very quiet. Perhaps I will have the time to package
>> the 3.2 version, but I will not have the time to fix bugs within the
>> upstream package.
> 
> Also lass doch einfach die Löschanfrage laufen und wenn Du's
> schaffst, 3.2.0 zu paketieren, dann geht's halt einfach durch NEW.
> 
> Gruss,
> 

----- End forwarded message -----

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
 
it has been said that there are only two businesses
that refer to customers as users:
illegal drug trade and the computer industry.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to niko@sdf.lonestar.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #63 received at 234346-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 234346-close@bugs.debian.org
Cc: affix-kernel@packages.debian.org, affix-kernel@packages.qa.debian.org
Subject: Bug#234346: fixed
Date: Mon, 04 Dec 2006 16:17:32 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

affix-common |    2.1.2-2 | all
affix-headers |    2.1.2-2 | all
affix-kernel |    2.1.2-2 | source
affix-source |    2.1.2-2 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 234346@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 05:43:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:07:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.